Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.audit
Interface DefaultAuditorMBean

public interface DefaultAuditorMBean
extends weblogic.management.commo.StandardInterface, weblogic.management.security.audit.AuditorMBean

The MBean that represents configuration attributes for the Weblogic Auditing provider.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Auditing provider.
`java.lang.String` | `getOutputMedium()` An output repository for the audit information.
`java.lang.String` | `getProviderClassName()` The Java class used to load the WebLogic Auditing provider.
`int` | `getRotationMinutes()` Number of Minutes Audit Log will be rotated.
`java.lang.String` | `getSeverity()` The severity level at which auditing is initiated.
`java.lang.String` | `getVersion()` The version number of the WebLogic Auditing provider.
`void` | `setOutputMedium(java.lang.String newValue)` An output repository for the audit information.
`void` | `setRotationMinutes(int newValue)` Number of Minutes Audit Log will be rotated.
`void` | `setSeverity(java.lang.String newValue)` The severity level at which auditing is initiated.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The Java class used to load the WebLogic Auditing provider.

  Default Value: "weblogic.security.providers.audit.DefaultAuditProviderImpl"
  Legal NULL: true

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Auditing provider.

  Default Value: "WebLogic Auditing Provider"
  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  The version number of the WebLogic Auditing provider.

  Default Value: "1.0"
  Legal NULL: true

### getSeverity

    public java.lang.String getSeverity()

  The severity level at which auditing is initiated.

  Default Value: "ERROR"
  Legal NULL: true
  Legal Values: INFORMATION,WARNING,ERROR,SUCCESS,FAILURE

### setSeverity

    public void setSeverity(java.lang.String newValue)
                     throws javax.management.InvalidAttributeValueException

  The severity level at which auditing is initiated.

  Default Value: "ERROR"
  Legal NULL: true
  Legal Values: INFORMATION,WARNING,ERROR,SUCCESS,FAILURE
  Parameters:
    `newValue` - - new value for attribute Severity
  Throws:
    javax.management.InvalidAttributeValueException -

### getRotationMinutes

    public int getRotationMinutes()

  Number of Minutes Audit Log will be rotated.

  Default Value: new Integer(1440)
  Legal NULL: true
  Legal Minimum Value: 1

### setRotationMinutes

    public void setRotationMinutes(int newValue)
                            throws javax.management.InvalidAttributeValueException

  Number of Minutes Audit Log will be rotated.

  Default Value: new Integer(1440)
  Legal NULL: true
  Legal Minimum Value: 1
  Parameters:
    `newValue` - - new value for attribute RotationMinutes
  Throws:
    javax.management.InvalidAttributeValueException -

### getOutputMedium

    public java.lang.String getOutputMedium()

  An output repository for the audit information. This repository can be a an LDAP back-end, database, or a simple file. This attribute is optional.

  Legal NULL: true

### setOutputMedium

    public void setOutputMedium(java.lang.String newValue)
                         throws javax.management.InvalidAttributeValueException

  An output repository for the audit information. This repository can be a an LDAP back-end, database, or a simple file. This attribute is optional.

  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute OutputMedium
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD